Bug 22044 - RHL 7.0 Alpha Avanti Installation Problem
RHL 7.0 Alpha Avanti Installation Problem
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
alpha Linux
low Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-10 20:50 EST by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-18 14:57:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ananconda Dump Bug Text File (6.45 KB, text/plain)
2000-12-10 20:53 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2000-12-10 20:50:55 EST
I was installing RHL-7.0 Alpha platform on Avanti (DEC AS200)and the 
following error was reported after all necessary details had been entered.

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
__call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in 
doInstall
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 711, in 
mountFilesystems
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iutil.py", line 193, in 
mkdirChain
OSError: [Errno 17] File exists: '/mnt/sysimage'

Local variables in innermost frame:
which: 3
dir: /mnt/sysimage/home
elements: ['', 'mnt', 'sysimage', 'home']
path: /mnt/sysimage

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iurlinstall
UrlInstallMethod
p4
(dp5
S'baseUrl'
p6
S'ftp://cesdy1/pub/redhat-7.0/alpha'
sbsS'initlevel'
p7
I3
sS'progressWindow'
p8
NsS'hostname'
p9
NsS'expert'
p10
I0
sS'ddruidReadOnly'
p11
I0
sS'timezone'
p12
(S'Asia/Kuala_Lumpur'
I0
I0
tsS'language'
p13
(itodo
Language
(dp14
S'abbrevMap'
p15
(dp16
S'es_ES'
p17
S'Spanish'
p18
sS'tr_TR'
p19
S'Turkish'
p20
sS'sr_YU'
p21
S'Serbian'
p22
sS'de_DE'
p23
S'German'
p24
sS'sk_SK'
p25
S'Slovak'
p26
sS'ru_RU.KOI8-R'
p27
S'Russian'
p28
sS'is_IS'
p29
S'Icelandic'
p30
sS'no_NO'
p31
S'Norwegian'
p32
sS'sv_SE'
p33
S'Swedish'
p34
sS'en_US'
p35
S'English'
p36
sS'it_IT'
p37
S'Italian'
p38
sS'da_DK'
p39
S'Danish'
p40
sS'cs_CZ'
p41
S'Czech'
p42
sS'uk_UA.KOI8-U'
p43
S'Ukrainian'
p44
sS'hu_HU'
p45
S'Hungarian'
p46
sS'fr_FR'
p47
S'French'
p48
sS'sl_SI'
p49
S'Slovenian'
p50
sS'ro_RO'
p51
S'Romanian'
p52
ssS'font'
p53
(dp54
g38
S'lat0-sun16'
sg22
S'cyr-sun16'
sg28
S'cyr-sun16'
sg36
S'None'
sg26
S'lat2-sun16'
sg32
S'lat0-sun16'
sg34
S'lat0-sun16'
sg48
S'None'
sg50
S'lat2-sun16'
sg52
S'lat2-sun16'
sg24
S'None'
sg20
S'lat5-sun16'
sg46
S'lat2-sun16'
sg18
S'None'
sg44
S'cyr-sun16'
sg42
S'lat2-sun16'
sg40
S'lat0-sun16'
sg30
S'lat0-sun16'
ssS'langs'
p55
(dp56
g38
g37
sg22
g21
sg28
g27
sg36
g35
sg26
g25
sg32
g31
sg34
g33
sg48
g47
sg50
g49
sg52
g51
sg24
g23
sg20
g19
sg46
g45
sg18
g17
sg44
g43
sg42
g41
sg40
g39
sg30
g29
ssS'info'
p57
(dp58
S'LANG'
p59
g35
ssS'map'
p60
(dp61
g38
S'iso15'
sg22
S'iso05'
sg28
S'koi8-r'
sg36
S'None'
sg26
S'iso02'
sg32
S'iso15'
sg34
S'iso15'
sg48
S'None'
sg50
S'iso02'
sg52
S'iso02'
sg24
S'None'
sg20
S'iso09'
sg46
S'iso02'
sg18
S'None'
sg44
S'koi8-u'
sg42
S'iso02'
sg40
S'iso15'
sg30
S'iso15'
ssS'lang'
p62
g35
sbsS'fstab'
p63
NsS'lilo'
p64
(ililo
LiloConfiguration
(dp65
S'liloDevice'
p66
S'mbr'
p67
sS'initrdsMade'
p68
(dsS'edd'
p69
I0
sS'default'
p70
NsS'liloImages'
p71
(dsS'liloLinear'
p72
I1
sS'liloAppend'
p73
NsbsS'comps'
p74
NsS'network'
p75
(itodo
Network
(dp76
S'netdevices'
p77
(dp78
S'eth0'
p79
(itodo
NetworkDevice
(dp80
g57
(dp81
S'ONBOOT'
p82
S'yes'
sS'IPADDR'
p83
S'161.142.196.7'
sS'BOOTPROTO'
p84
S'static'
sS'NETMASK'
p85
S'255.255.255.0'
sS'DEVICE'
p86
g79
ssbssS'gateway'
p87
S'161.142.196.1'
sS'secondaryNS'
p88
S''
sg9
S'Avanti1'
sS'primaryNS'
p89
S'161.142.196.2'
sS'domains'
p90
(lp91
S'nstt.com.my'
asS'isConfigured'
p92
I1
sS'readData'
p93
I1
sS'ternaryNS'
p94
S''
sbsS'upgrade'
p95
I0
sS'instClass'
p96
(icustom
InstallClass
(dp97
S'rootPasswordCrypted'
p98
I0
sS'nameserver'
p99
S''
sS'x'
NsS'rootPassword'
p100
NsS'makeBootdisk'
p101
I0
sS'installType'
p102
NsS'postScript'
p103
NsS'earlySwapOn'
p104
I0
sS'networkDevice'
p105
NsS'clearText'
p106
Nsg64
(g67
I1
S''
tsg13
NsS'name'
p107
S''
sS'postInChroot'
p108
I0
sS'pixmap'
p109
S''
sS'partitions'
p110
(lsS'clearType'
p111
Nsg87
S''
sS'mouse'
p112
NsS'packages'
p113
Nsg12
NsS'zeroMbr'
p114
I0
sS'keyboard'
p115
NsS'groups'
p116
NsS'bootProto'
p117
NsS'netmask'
p118
S''
sS'raidList'
p119
(lsS'skipSteps'
p120
(dp121
S'bootdisk'
p122
I1
sg64
I1
ssS'auth'
p123
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg9
Nsg63
(lsS'showgroups'
p124
NsS'ip'
p125
S''
sS'defaultRunlevel'
p126
NsS'desktop'
p127
S''
sS'clearPartText'
p128
NsS'clearParts'
p129
I0
sbsS'rootpassword'
p130
NsS'extraModules'
p131
(lp132
sg112
(imouse
Mouse
p133
(dp134
S'device'
p135
S'psaux'
p136
sg57
(dp137
S'XMOUSETYPE'
p138
S'PS/2'
p139
sS'FULLNAME'
p140
S'Generic - 2 Button Mouse (PS/2)'
p141
sS'MOUSETYPE'
p142
S'ps/2'
p143
ssS'emu'
p144
I0
sS'wasProbed'
p145
I1
sS'emulate'
p146
I1
sbsS'ddruidAlreadySaved'
p147
I0
sS'serial'
p148
I0
sS'milo'
p149
(imilo
MiloInstall
(dp150
g68
(dsS'todo'
p151
g1
sbsg114
I0
sg115
(ikbd
Keyboard
(dp152
S'layout'
p153
NsS'model'
p154
NsS'type'
p155
S'PC'
p156
sg57
(dp157
S'KEYBOARDTYPE'
p158
S'pc'
p159
sS'KEYTABLE'
p160
S'us'
p161
ssbsS'skipFdisk'
p162
I1
sS'fdDevice'
p163
S'fd0'
p164
sS'installSystem'
p165
I1
sS'setupFilesystems'
p166
I1
sg123
(itodo
Authentication
(dp167
S'useNIS'
p168
I0
sS'nisServer'
p169
S''
sS'useLdap'
p170
I0
sS'krb5Kdc'
p171
S''
sS'useHesiod'
p172
I0
sS'ldapServer'
p173
S''
sS'nisDomain'
p174
S''
sS'krb5Realm'
p175
S''
sS'useLdapauth'
p176
I0
sS'hesiodRhs'
p177
S''
sS'useShadow'
p178
I1
sS'nisuseBroadcast'
p179
I0
sS'useKrb5'
p180
I0
sS'useMD5'
p181
I1
sS'ldapBasedn'
p182
S''
sS'krb5Admin'
p183
S''
sS'hesiodLhs'
p184
S''
sS'hesiodDlhs'
p185
S''
sbsg122
I0
sS'reconfigOnly'
p186
I0
sS'x'
(ixf86config
XF86Config
(dp187
S'monlist'
p188
(dsS'keyModel'
p189
S'pc101'
p190
sS'monids'
p191
(dsg135
NsS'monEisa'
p192
NsS'server'
p193
S'XF86_TGA'
sS'monHoriz'
p194
S'31.5'
p195
sS'devID'
p196
S'Digital 8-plane TGA (UDB/Multia)'
p197
sS'descr'
p198
S'DEC|DECchip 21030 [TGA]'
p199
sS'modes'
p200
(dp201
S'8'
(lp202
S'640x480'
p203
assS'keyOptions'
p204
S''
sS'keyVariant'
p205
S''
sS'monID'
p206
S'Unprobed Monitor'
p207
sS'keyLayout'
p208
S'us'
p209
sS'manualModes'
p210
(dsg112
g133
sS'keyRules'
p211
S'xfree86'
p212
sS'monVert'
p213
S'60'
p214
sS'cardMan'
p215
NsS'monSect'
p216
S''
sS'primary'
p217
I0
sS'vidRam'
p218
NsS'probed'
p219
I1
sS'monName'
p220
NsS'vidCards'
p221
(lp222
(dp223
S'SERVER'
S'TGA'
sS'NAME'
g197
sS'RAMDAC'
S'Bt485'
sS'CHIPSET'
S'TGA'
sS''
S''
sasS'skip'
p224
I0
sS'files'
p225
S'\012# The location of the RGB database.  Note, this is the name of 
the\012# file minus the extension (like ".txt" or ".db").  There is 
normally\012# no need to change the default.\012\012    
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are 
allowed (they are concatenated together)\012# By default, Red Hat 6.0 and 
later now use a font server independent of\012# the X server to render 
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    
FontPath   "unix/:7100"\012'
p226
sbsS'users'
p227
NsS'instPath'
p228
S'/mnt/sysimage'
p229
sS'_cardindex'
p230
I-1
sS'intf'
p231
NsS'hdList'
p232
Nsb.
Comment 1 Need Real Name 2000-12-10 20:53:38 EST
Created attachment 6254 [details]
Ananconda Dump Bug Text File
Comment 2 Matt Wilson 2000-12-11 17:14:54 EST
Which method are you using to boot into the installation program?
Comment 3 Need Real Name 2000-12-11 21:21:31 EST
The installation program was booted using the image files generic.img and 
ramdisk.img. The installation method choosen was via ftp from a local server.
Comment 4 Matt Wilson 2000-12-12 00:27:24 EST
This is very very strange.  Did you have anything on the filesystems you're
installing to?
Comment 5 Need Real Name 2000-12-12 21:04:13 EST
No, I made a fresh installation of RHL 7.0 with all filesystems formated and 
badblocks checked. I had created 4 filesystems on 2 SCSI HDs ( /, /usr, /var 
& /home). I used the following MILO Command Line:
Milo> boot fd0:/vmlinux.gz root=/dev/fd0 load_ramdisk=1
I had tried this for 3 times giving me the same error messages as above. I had 
install RHL 5.0/6.0/6.1/6.2 on this machine before without any problem.
Comment 6 Matt Wilson 2000-12-12 23:40:03 EST
I'll try to reproduce it when I get time.

Note You need to log in before you can comment on or make changes to this bug.